Update Blacklist Entry
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 6,
"value": "consequatur",
"type": "email_domain",
"match_type": "regex",
"reason": "consequatur",
"message": "consequatur",
"payment_method_ids": null,
"enabled": true,
"active_from": "2012-05-28",
"active_to": "2012-05-28"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update"
payload = {
"id": 6,
"value": "consequatur",
"type": "email_domain",
"match_type": "regex",
"reason": "consequatur",
"message": "consequatur",
"payment_method_ids": None,
"enabled": True,
"active_from": "2012-05-28",
"active_to": "2012-05-28"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 6,
value: 'consequatur',
type: 'email_domain',
match_type: 'regex',
reason: 'consequatur',
message: 'consequatur',
payment_method_ids: null,
enabled: true,
active_from: '2012-05-28',
active_to: '2012-05-28'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => 6,
'value' => 'consequatur',
'type' => 'email_domain',
'match_type' => 'regex',
'reason' => 'consequatur',
'message' => 'consequatur',
'payment_method_ids' => null,
'enabled' => true,
'active_from' => '2012-05-28',
'active_to' => '2012-05-28'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update"
payload := strings.NewReader("{\n \"id\": 6,\n \"value\": \"consequatur\",\n \"type\": \"email_domain\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": true,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 6,\n \"value\": \"consequatur\",\n \"type\": \"email_domain\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": true,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 6,\n \"value\": \"consequatur\",\n \"type\": \"email_domain\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": true,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}"
response = http.request(request)
puts response.read_bodyBlacklist
Update Blacklist Entry
Updates a specific blacklist entry.
PUT
/
v1
/
shops
/
{shopId}
/
blacklist
/
{blacklistId}
/
update
Update Blacklist Entry
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 6,
"value": "consequatur",
"type": "email_domain",
"match_type": "regex",
"reason": "consequatur",
"message": "consequatur",
"payment_method_ids": null,
"enabled": true,
"active_from": "2012-05-28",
"active_to": "2012-05-28"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update"
payload = {
"id": 6,
"value": "consequatur",
"type": "email_domain",
"match_type": "regex",
"reason": "consequatur",
"message": "consequatur",
"payment_method_ids": None,
"enabled": True,
"active_from": "2012-05-28",
"active_to": "2012-05-28"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 6,
value: 'consequatur',
type: 'email_domain',
match_type: 'regex',
reason: 'consequatur',
message: 'consequatur',
payment_method_ids: null,
enabled: true,
active_from: '2012-05-28',
active_to: '2012-05-28'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => 6,
'value' => 'consequatur',
'type' => 'email_domain',
'match_type' => 'regex',
'reason' => 'consequatur',
'message' => 'consequatur',
'payment_method_ids' => null,
'enabled' => true,
'active_from' => '2012-05-28',
'active_to' => '2012-05-28'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update"
payload := strings.NewReader("{\n \"id\": 6,\n \"value\": \"consequatur\",\n \"type\": \"email_domain\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": true,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 6,\n \"value\": \"consequatur\",\n \"type\": \"email_domain\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": true,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 6,\n \"value\": \"consequatur\",\n \"type\": \"email_domain\",\n \"match_type\": \"regex\",\n \"reason\": \"consequatur\",\n \"message\": \"consequatur\",\n \"payment_method_ids\": null,\n \"enabled\": true,\n \"active_from\": \"2012-05-28\",\n \"active_to\": \"2012-05-28\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Response
200